<div class="card ">
    <div class="card-header">
      <h5 class="card-title">Task details</h5>
    </div>
    <div class="card-body">
       
        <div class="typography-line">
            <span>Description : </span>
            <p class="text-primary">
              {{item.description}}</p>
          </div>
          <div class="typography-line">
            <span>Deadline : </span>
            <p class="text-primary">
              {{item.deadline}}</p>
          </div>
          <div class="typography-line">
            <span >Categories : </span>
            <div class="category-content">
              <div  *ngFor="let cat of item.categories">
                <button [ngClass]="{'btn-success': cat.color == 'green' , 'btn-danger': cat.color == 'red' ,'btn-warning': cat.color == 'yallow','btn-info': cat.color == 'blue' }" class="btn btn-round" > {{cat.name}}</button>
              </div>
             
          </div>
          </div>
          <div class="typography-line">
            <span>Sub Tasks : </span>
            <ul>
              <li class="border-buttom-sub-task" *ngFor="let sub of item.sub_tasks">{{ sub }}</li>
            </ul>
          </div>
    </div>
</div>